Bug 523200 - Fedora doesn't resume from suspend
Summary: Fedora doesn't resume from suspend
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 13:16 UTC by Luinnar
Modified: 2018-04-11 10:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 12:34:40 UTC


Attachments (Terms of Use)
dmesg output before going to suspend (12.48 KB, application/x-bzip)
2010-01-18 19:24 UTC, Luinnar
no flags Details
/var/log directory (30.41 KB, application/x-bzip)
2010-01-18 19:24 UTC, Luinnar
no flags Details
uncompressed dmesg output (39.92 KB, text/plain)
2010-01-20 08:20 UTC, Luinnar
no flags Details

Description Luinnar 2009-09-14 13:16:48 UTC
Description of problem:
The LiveCD distribution testday-20090909-x86_64.iso has problems with suspend tool on my PC with Radeon HD 3200. The system goes to the suspend mode but can't be resumed by keyboard, mouse or power button. The only way is to restart the computer by reboot button, or to shut it down by holding power button for 5 seconds.


Version-Release number of selected component (if applicable):
LiveCD distribution testday-20090909-x86_64.iso.


How reproducible:
Start LiveCD system, login and go to suspend mode via system menu.

Steps to Reproduce:
1. Start LiveCD system.
2. Login as liveuser
3. Go to suspend mode via system menu.
4. Try to resume.
  
Actual results:
The system can't be resumed by keyboard, mouse or power button. The only way is to restart the computer by reboot button, or to shut it down by holding power button for 5 seconds.

Expected results:
The system should be able to resume.

Additional info:
Motherboard: Asus M3A-H/HDMI
Video: ATI Radeon HD3200 GPU (Integrated).

Comment 1 Benjamin Bellec 2009-09-16 15:04:12 UTC
Same problem.

Version-Release number of selected component (if applicable):
LiveCD distribution testday-20090909-i686.iso

Additional info:
Motherboard: Abit NF7-S rev2.0
Video: ATI Technologies Inc Radeon R350 [Radeon 9800 Pro] [1002:4e48]
Display: Hitachi CM752ET 19 inch CRT Monitor (18 inch viewable)

Comment 2 Alexey Kuznetsov 2009-09-30 16:30:59 UTC
same for me x1600 ati (f12 alpha with last updates)

kernel boot with nomodeset param (without nomodeset, x crash\stuck on gdm)

Comment 3 Jérôme Glisse 2009-10-13 15:40:16 UTC
Does lastest fedora 12 livecd works any better for any of you ? https://fedoraproject.org/get-prerelease

Comment 4 Alexey Kuznetsov 2009-10-13 15:44:00 UTC
i use f12(rawhide) as my desktop linux. so, now it work better: kms start work correctly with suspend/resume (sometimes it can crash X), nomodeset still unable to resume machine.

i prefer to use nomodeset mode, because it 5x times faster with opengl games then KMS mode. i vote to fix suspend/resume bug for nomodeset mode.

Comment 5 Alexey Kuznetsov 2009-10-13 16:23:44 UTC
"unable to resume" mean black screen, i still have capslock activity, still able to reboot machine by ctrl+alt+del (which mean no X here)

Comment 6 Jérôme Glisse 2009-10-13 17:06:33 UTC
What makes X crash under KMS ? Or is it coming back from suspend/resume that sometimes lead to crashing X ?

Comment 7 Alexey Kuznetsov 2009-10-13 17:48:33 UTC
Sometimes (1 per 20 maybe, i seen it about 3 times) resuming from suspend mode make X to crash with recursive fault error (KMS mode). It ask you to reboot machine without chance to report error (either abrt service do not catch X crash. after i do reboot i do not see any crashes in log window). So i unable to put bug report here.

But it happens not so often.

Comment 8 Jérôme Glisse 2009-10-14 14:39:11 UTC
Luinnar does it works for you too ?

Alexey could you open two different bugs :
One for suspend/resume with KMS disabled start the bug title with "RADEON:RV530:X1600:AGP:UMS suspend/resume" (if you are on agp)

The other for the X crash on resume title:RADEON:RV530:X1600:AGP:KMS suspend/resume

Attach output of lspci -vnnxx thanks.

Comment 9 Alexey Kuznetsov 2009-10-14 18:36:58 UTC
lets wait about title:RADEON:RV530:X1600:AGP:KMS. with last updates i did not get it yet.

For UMS mode bug report is here bug 529044.

Comment 10 Jérôme Glisse 2009-10-21 21:22:21 UTC
Closing this bug as, Luinnar reopen if you still have this issue with lastest Fedora 12 bits.

Comment 11 Luinnar 2010-01-18 19:19:05 UTC
Verified with the latest Fedora LiveCD - the issue is still reproducible.

Comment 12 Luinnar 2010-01-18 19:22:38 UTC
Tested on the original hardware (see bug description in the beginning) and on my laptop:
Gateway MX6447, it has ATI Radeon Xpress 1150 Graphics with up
to 128 MB of shared video memory. You may see full specification here:
http://support.gateway.com/s/Mobile/Q106/BladeK8F/1013932Rsp2.shtml

Comment 13 Luinnar 2010-01-18 19:24:03 UTC
Created attachment 385209 [details]
dmesg output before going to suspend

This is a dmesg output which was got before going to suspend mode.

Comment 14 Luinnar 2010-01-18 19:24:45 UTC
Created attachment 385210 [details]
/var/log directory

This is a /var/log content which was got before going to suspend mode.

Comment 15 Adam Williamson 2010-01-20 00:43:19 UTC
it's much more convenient if you attach the relevant bits uncompressed. Testing with the live CD isn't sufficient - we don't revise the live CD builds, so the 'latest' fedora 12 live CD is the exact same one from release day. I believe Jerome needs you to test with an installed F12 updated to latest packages. thanks!



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 16 Luinnar 2010-01-20 08:20:17 UTC
Created attachment 385616 [details]
uncompressed dmesg output

Uncompressed dmesg output

Comment 17 Luinnar 2010-01-20 08:26:43 UTC
Actually I wasn't going to install any new system on those machines. The only my intention was to test new Fedora and thus help the project. That's all.

Comment 18 Adam Williamson 2010-01-20 19:05:17 UTC
It may be interesting to test with the latest nightly Rawhide live image, in that case:

http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/

Comment 19 Jérôme Glisse 2010-01-20 19:14:34 UTC
Yes please with lastest rawhide.

Comment 20 Matěj Cepl 2010-02-26 12:22:42 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 21 Luinnar 2010-02-26 12:32:38 UTC
I tried the lasted rawhide on my desktop machine, suspend works fine. Thanks.

Comment 22 Darr247 2010-03-14 19:27:30 UTC
Latest rawhide in February would have been pre-fc13...  I'm seeing this same bug on a Dell laptop (dual boot Win7/fc12) which has 256MB ATI HD4333 graphics. So, is it going to be fixed in Fedora 12, too?

Thanks!

Comment 23 Adam Williamson 2010-03-15 21:08:56 UTC
darr: if you don't have the same hardware as the original reporter, you have a different bug. Please file it separately. Suspend issues vary greatly by hardware.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.